<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$BatchName = isset($_POST["BatchName"]) ? $_POST["BatchName"] : "";

$response = array(); 

$result = executeQuery($conn, "SELECT BatchCode FROM epr_batch_details WHERE BatchName = ?", "s", [$BatchName]);

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

if ($result->num_rows > 0) 
{
	while($row = $result->fetch_assoc()) 
	{
		$response["BatchCode"] = $row["BatchCode"];
	}
}
else
{
	$response["BatchCode"] = "OTHERS";
}
	
if (empty($response)) {
	echo json_encode(["status" => "error", "message" => "BatchCodeQuery - An error occurred while processing your request."]);
} else {
    echo json_encode($response);
}
?>