<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$headers = [
	"Batch Name", 
	"Bldg No.", 
	"F. Code"
];

echo "<table id='MyTable_controller' class='ui display table controller fcode' style='display: none;'>";
echo "<thead><tr><th colspan='3'></th></tr><tr>";
foreach ($headers as $index => $headerText) 
{
	echo "<th class='bg-dark text-center text-white text-uppercase'>{$headerText}</th>";
}
echo "</tr></thead><tbody>";

$result = executeQuery($conn, "SELECT * FROM fcode WHERE is_deleted = FALSE AND is_current = TRUE");

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

while ($row = mysqli_fetch_assoc($result)) 
{
    echo "<tr class='fc-clickable-row' data-id='". $row["id"] . "'>";
	echo "<td>".$row["BatchName"]."</td>";
	echo "<td>".$row["BldgNo"]."</td>";
	echo "<td>".$row["FCode"]."</td>";
	echo "</tr>";
}
echo "</tbody></table>";
?>