<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$data_id = isset($_GET["data_id"]) ? $_GET["data_id"] : "";

$response = array();

$result = executeQuery($conn, "SELECT * FROM fcode WHERE id = ?", "i", [$data_id]);

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

if ($result->num_rows > 0) {
	while($row = $result->fetch_assoc()) 
	{
		$response["id"] = $row["id"];
		$response["BatchName"] = $row["BatchName"];
		$response["BldgNo"] = $row["BldgNo"];
		$response["FCode"] = $row["FCode"];
	}
} 

if (empty($response)) {
	echo json_encode(["status" => "error", "message" => "fcRowData - An error occurred while processing your request."]);
} else {
    echo json_encode($response);
}
?>