<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$data_id = isset($_GET["data_id"]) ? $_GET["data_id"] : "";

$response = array();

$result = executeQuery($conn, "SELECT * FROM epr_batch_details WHERE id = ?", "i", [$data_id]);

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

if ($result->num_rows > 0) {
	while($row = $result->fetch_assoc()) 
	{
		$response["id"] = $row["id"];
		$response["BatchCode"] = $row["BatchCode"];
		$response["BatchName"] = $row["BatchName"];
		$response["BldgNo"] = $row["BldgNo"];
		$response["CheckInDate"] = $row["CheckInDate"];
		$response["Breed"] = $row["Breed"];
		$response["HenHoused"] = $row["HenHoused"];
		$response["Prod_Previous"] = $row["Prod_Previous"];
		$response["Status"] = $row["Status"];
	}
} else {
	$response["id"] = "";
	$response["BatchCode"] = "";
	$response["BatchName"] = "";
	$response["BldgNo"] = "";
	$response["CheckInDate"] = "";
	$response["Breed"] = "";
	$response["HenHoused"] = "";
	$response["Prod_Previous"] = "";
	$response["Status"] = "";
}

if (empty($response)) {
	echo json_encode(["status" => "error", "message" => "bdepRowData - An error occurred while processing your request."]);
} else {
    echo json_encode($response);
}
?>