<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$updateSucess = false;
$currentVersion = 1;

mysqli_begin_transaction($conn);

if (isset($_POST["NewRowButton"])) 
{
	try
	{
		$result = executeQuery($conn, "INSERT INTO controller_standards (addedby_user,is_deleted,version,is_current) VALUES (?,FALSE,?,TRUE)", "ss", [$userName, $currentVersion]);
		
		if ($result === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} else {
			$updateSucess = true;
		} 
		
		mysqli_commit($conn);
		
		if ($updateSucess) 
		{
			$_SESSION["added_success"] = true;
			header("Location: " . $_SERVER["REQUEST_URI"]);
			exit();
		}
	} 
	catch (Exception $e) 
	{
        mysqli_rollback($conn);
		// Log the error message
        error_log($e->getMessage());
		// Redirect to an error page or display an error message
        //header("Location: error_page.php");
        //exit();
    }
}

if (isset($_SESSION["added_success"])) 
{
	?>
	<script>
		$( ".dispMessage" ).append( "<div class='alert alert-primary d-flex align-items-center shadow' role='alert'><h4>Added Successfully!</h4></div>" );
	</script>
	<?php
    unset($_SESSION["added_success"]);
}
?>