<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

if (isset($_POST["cp_username"]) && isset($_POST["cp_old_password"]) && isset($_POST["cp_new_password"])) {
    $username = $_POST["cp_username"];
    $old_password = $_POST["cp_old_password"];
    $new_password = $_POST["cp_new_password"];

    // Check if the username and old password exist in the database
    $result = executeQuery($conn, "SELECT * FROM users WHERE BINARY username = ? AND password = ?", "ss", [$username, $old_password]);
	
	if ($result === false) { 
		throw new Exception("Error executing query: " . $conn->error);
	} 
    
    if ($result->num_rows == 0) {
        echo json_encode(["status" => "error", "message" => "Invalid username or password."]);
    } else {
        // Update the password
        $updateResult = executeQuery($conn, "UPDATE users SET password = ? WHERE username = ?", "ss", [$new_password, $username]);
		
		if ($updateResult === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} 
        
        if ($updateResult) {
            echo json_encode(["status" => "success", "message" => "Password updated successfully."]);
        } else {
            echo json_encode(["status" => "error", "message" => "Failed to update password."]);
        }
    }
}

if (isset($_POST["reg_username"]) && !empty($_POST["reg_username"]) && isset($_POST["reg_password"]) && !empty($_POST["reg_password"]) ) {
    $reg_username = $_POST["reg_username"];
    $reg_password = $_POST["reg_password"];
	$reg_type = $_POST["reg_type"];

    // Check if the username already exists in the database
    $result = executeQuery($conn, "SELECT * FROM users WHERE BINARY username = ?", "s", [$reg_username]);
	
	if ($result === false) { 
		throw new Exception("Error executing query: " . $conn->error);
	} 
    
    if ($result->num_rows > 0) {
        echo json_encode(["status" => "error", "message" => "Username already exists."]);
    } else {
        // Insert the new user record
        $insertResult = executeQuery($conn, "INSERT INTO users (username, password, type) VALUES (?, ?, ?)", "sss", [$reg_username, $reg_password, $reg_type]);
        
		if ($insertResult === false) { 
			throw new Exception("Error executing query: " . $conn->error);
		} 
		
        if ($insertResult) {
            echo json_encode(["status" => "success", "message" => "User registered successfully"]);
        } else {
            echo json_encode(["status" => "error", "message" => "Failed to register user"]);
        }
    }
}
?>
