<?php
require_once("dbconn.php");
require_once("phpFunctions.php");

$Breed = isset($_POST["bdep_Breed"]) ? $_POST["bdep_Breed"] : "";
$AgeInWeeks = isset($_POST["bdep_Age"]) ? $_POST["bdep_Age"] : "";

$response = array(); 

$result = executeQuery($conn, "SELECT Stnd_H_H_per FROM controller_standards WHERE is_current = TRUE AND BreedType = ? AND AgeInWeeks = ?", "ss", [$Breed,$AgeInWeeks]);

if ($result === false) { 
	throw new Exception("Error executing query: " . $conn->error);
} 

if ($result->num_rows > 0) {
	while($row = $result->fetch_assoc()) 
	{
		$response["SHH"] = $row["Stnd_H_H_per"];
	}
} else {
	$response["SHH"] = "";
}

if (empty($response)) {
	echo json_encode(["status" => "error", "message" => "shh_calculation - An error occurred while processing your request."]);
} else {
    echo json_encode($response);
}
?>